Subject: [edu-team] YANG/NETCONF tutorial at the IETF 84 (was: Re: Tutorials)

From: Benoit Claise <[email-masked]>
Date: Mon, 09 Jul 2012 13:15:50 +0200

Hi Mirjam,

I'm really really confused.
[copying NETCONF and NETMOD chairs, to avoid some more confusion]

Maybe 2 months ago, I thought that the YANG/NETCONF tutorial at this 
coming IETF was a done deal. Juergen Schoenwaelder agreed to present 
this tutorial.
On June 12th, at the time of my registration, you answered:

    "After a discussion on the edu-team list (a few weeks ago), we
    decided to postpone this tutorial and offer it at the next IETF
    meeting in Atlanta. This will give us all some more time to prepare
    and to review the slides. I am sorry if you were not copied on that
    mail. "

And now, "Network Configuration Management with NETCONF and YANG 
Tutorial" automagically appeared on the agenda.

Here are my problems:
1. Lack of clarify whether this tutorial takes place or not.
2. At the time of my registration, the tutorial was not present. So I'm 
sure that there are registered attendees who don't know about this tutorial.
3. If you recall the discussion (led by Dan Romascanu) regarding the OAM 
tutorial at the previous IETF 83, there was one concern that the 
tutorial content was not reviewed by the OPS experts.
I have complete faith in Juergen's ability to present this tutorial. 
However, one of the conclusions from the OAM tutorial is that we need a 
couple of weeks for any experts to review the tutorial content.

Final question: as we discussed, this tutorial will be recorded, right? 
By recorded, I mean: the voice-over/slides/demos.

Regards, Benoit (not too happy)

> Hi Benoit,
>
> After a discussion on the edu-team list (a few weeks ago), we decided 
> to postpone this tutorial and offer it at the next IETF meeting in 
> Atlanta. This will give us all some more time to prepare and to review 
> the slides. I am sorry if you were not copied on that mail.
>
> Regards,
> Mirjam
>
> On 12/6/12 2:44 AM, Benoit Claise wrote:
>> Hi Mirjam,
>>
>> I thought that the tutorial on YANG/NETCONF was a done deal for this
>> coming IETF
>> However, I don't see in the registration. What do I miss?
>>
>> Regards, Benoit.
>>> Thanks for all the suggestions, Dan and Benoit.
>>>
>>> I'll contact Juergen and will keep you in the loop.
>>>
>>> Mirjam
>>>
>>> On 12/4/12 12:26 PM, Benoit Claise wrote:
>>>> Mirjam,
>>>>> Thanks, Benoit. Is this him?
>>>>>
>>>>> [email-masked]
>>>> Juergen Schoenwaelder <[email-masked]>
>>>>>
>>>>> Do you want to be involved in developing or reviewing the material?
>>>> Reviewing, yes.
>>>> And I'm sure I can find some other experts who would be happy to 
>>>> review
>>>> as well.
>>>> Do you need the names now?
>>>>
>>>> Regards, Benoit.
>>>>> Dan, do you want to be involved?
>>>>>
>>>>> Kind Regards,
>>>>> Mirjam
>>>>>
>>>>>
>>>>> On 11/4/12 10:33 PM, Benoit Claise wrote:
>>>>>> Mirjam,
>>>>>>> Hi Dan,
>>>>>>>
>>>>>>> Thanks for your mail and your proposal. I am sorry if it was not
>>>>>>> clear
>>>>>>> that the OAM tutorial was going to take place. Tissa sent me the
>>>>>>> slides for review and when I passed them on to the edu-team, you 
>>>>>>> must
>>>>>>> have dropped off the list. My apologies.
>>>>>>>
>>>>>>> If we are planning to repeat the OAM tutorial at the next (or 
>>>>>>> another
>>>>>>> future) IETF meeting, it would be great if you could then help to
>>>>>>> review and improve the material. The current slides are on the
>>>>>>> edu-team wiki: http://wiki.tools.ietf.org/group/edu/wiki/IETF83
>>>>>>>
>>>>>>> Regarding your proposal to teach NETCONF and YANG, do you have a
>>>>>>> suggestion who could develop such a tutorial? And would you like
>>>>>>> to be
>>>>>>> involved or even be one of the speakers?
>>>>>> Juergen Schoenwalder accepted to develop and present the tutorial.
>>>>>>
>>>>>> Regards, Benoit
>>>>>>>
>>>>>>> Kind regards,
>>>>>>> Mirjam
>>>>>>>
>>>>>>> On 29/3/12 10:31 AM, Romascanu, Dan (Dan) wrote:
>>>>>>>> I have an observation and a proposal concerning the Sunday
>>>>>>>> tutorials.
>>>>>>>>
>>>>>>>> The OAM tutorial at IETF-83 was not coordinated and revised by
>>>>>>>> either
>>>>>>>> the OPS or Routing ADs. To be complete, I provided some input 
>>>>>>>> in the
>>>>>>>> earlier phases, but heard nothing in the months before the 
>>>>>>>> IETF, and
>>>>>>>> actually did not realize the tutorial is taking place. As a 
>>>>>>>> result I
>>>>>>>> could attend only the first 45 minutes or so, my impression was
>>>>>>>> that the
>>>>>>>> tutorial was not bad, but presented a perspective personal to the
>>>>>>>> authors on a subject with many work-in-progress components that 
>>>>>>>> did
>>>>>>>> not
>>>>>>>> reach consensus.
>>>>>>>>
>>>>>>>> The proposal is not (directly) related. I suggest to pick NETCONF
>>>>>>>> and
>>>>>>>> YANG as the subjects of a Sunday tutorial at the coming IETF
>>>>>>>> meeting. To
>>>>>>>> differ from OAM, NETCONF and YANG are standard track protocol and
>>>>>>>> DML
>>>>>>>> respectively, they start to be deployed, yet seem to be little
>>>>>>>> known out
>>>>>>>> of the OPS area. Right now I am sitting in a SCIM BOF, the author
>>>>>>>> of the
>>>>>>>> introductory presentation rightly went through a series of slides
>>>>>>>> 'why
>>>>>>>> not LDAP?' 'why not ...' to justify a new protocol and modeling
>>>>>>>> language
>>>>>>>> for the problems, and a 'why not NETCONF/YANG?' slide was missing
>>>>>>>> (as I
>>>>>>>> think it would fit better than many other reviewed and rejected
>>>>>>>> solutions he candidly answered that he does not know what NETCONF
>>>>>>>> and
>>>>>>>> YANG is. This must be fixed.
>>>>>>>>
>>>>>>>> Regards,
>>>>>>>>
>>>>>>>> Dan
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> _______________________________________________
>>>>>>>> edu-team mailing list
>>>>>>>> [email-masked]
>>>>>>>> https://www.ietf.org/mailman/listinfo/edu-team
>>>>>>>
>>>>>>>
>>>>>>
>>>>>
>>>>>
>>>>
>>>
>>>
>>
>
>

---

From: Mirjam Kuehne <[email-masked]>
Date: Mon, 09 Jul 2012 13:46:32 +0200

Hi Benoit,

I am sorry for the confusion. When the secretariat confirmed that the 
meet-echo guys will come and record all the tutorials on Sunday, they 
also said it would be a bit of a missed opportunity to only have three 
tutorials instead of four. So we decided to ask Juergen if he would be 
willing to prepare this tutorial for IETF 84 after all. He agreed and 
the secretariat added it to the list of tutorials. That it wasn't there 
when registration opened, is indeed not ideal.

Juergen sent his draft slides last week (Dan Romascanu was copied on 
that mail) and I passed them on to the rest of the edu-team for review. 
I thought I'd send them to the edu-team first, so that Juergen has a 
chance to update the slides before sending them to a wider review group.

Juergen, did you make any changes to the slides based on Radia's 
suggestions or shall I pass the original version on to Benoit and Ron?

Benoit, I am glad that you show such interest in the work of the 
edu-team. This isn't always the case, so we don't really have a process 
to involve the ADs at a certain stage in the tutorial development. We 
need to discuss among the team how this can be improved in the future.

I hope this answers your questions and I hope there is still enough time 
to provide feedback to Juergen.

Kind regards,
Mirjam

---

From: Mirjam Kuehne <[email-masked]>
Date: Mon, 09 Jul 2012 14:03:56 +0200

Hi all,

Attached are Juergen's draft slides.

Just so you know: in the meantime, it was suggested to include some 
information about configuration management in general before diving into 
netconf and yang and also mention how this relates to other protocols.

Mirjam

On 9/7/12 1:56 PM, Juergen Schoenwaelder wrote:
> On Mon, Jul 09, 2012 at 01:46:32PM +0200, Mirjam Kuehne wrote:
>
> No changes yet, today is -00 deadline and this has precedence. You can
> pass the slides on if you like.
>
> /js
>

---

From: Benoit Claise <[email-masked]>
Date: Mon, 09 Jul 2012 14:40:36 +0200

Hi Mirjam,
> the secretariat added it to the list of tutorials. That it wasn't 
> there when registration opened, is indeed not ideal.
Is there a way to announce this extra tutorial
     1. either to every attendees if we want to make it simple
     2. or the early attendees, the ones registered before the date you 
introduced this tutorial
> that mail) and I passed them on to the rest of the edu-team for 
> review. I thought I'd send them to the edu-team first, so that Juergen 
> has a chance to update the slides before sending them to a wider 
> review group.
>
> edu-team. This isn't always the case, so we don't really have a 
> process to involve the ADs at a certain stage in the tutorial 
> development. We need to discuss among the team how this can be 
> improved in the future.
Yes, I believe that we should improve this part of the process.
The easiest way, IMHO, is to include the responsible AD in all 
communication.
>
> I hope this answers your questions 
Yes.
> and I hope there is still enough time to provide feedback to Juergen.
I will take the time.

Thanks and regards, Benoit.

---

From: Mirjam Kuehne <[email-masked]>
Date: Mon, 09 Jul 2012 17:17:25 +0200

Hi Benoit,

> 2. or the early attendees, the ones registered before the date you

I've asked the secretariat to send an announcement to the attendees 
list. Let's see what they can do.

Mirjam

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 9 Jul 2012 19:35:57 +0200

> -----Original Message-----
> From: Mirjam Kuehne [mailto:[email-masked]]
> 

[[DR]] Do you mean [84-atendees]? If the list is up any of us can send a
message there, but not everybody who registered also chose to subscribe
to that list, this was an option in the registration process. But maybe
the intent is to send the information to everybody who registered based
on the information provided at registration?

Dan

---

From: Benoit Claise <[email-masked]>
Date: Mon, 09 Jul 2012 23:58:43 +0200

On 09/07/2012 20:30, Juergen Schoenwaelder wrote:
> On Mon, Jul 09, 2012 at 07:35:57PM +0200, Romascanu, Dan (Dan) wrote:
> I might be clueless but from my records, I agreed to do the tutorial
> on June 20th and according to my wgchairs records, the first draft
> agenda was posted to wgchairs on June 28th. According to the meeting
> schedule, the draft agenda was due to be published on June 28th and
> the final agenda on July 06. Hence, it is likely that the tutorial has
> been in the public agenda since the beginning (but I can't check since
> I do not have a record). Anyway, my point is that those who book their
> travel schedule early simply have no (reliable) agenda and hence
> likely can't have a clue anyway which tutorials are offered.
At the time of registration, I had to chose to select the Sunday tutorials.
And the NETCONF/YANG was not present.

Regards, Benoit.

---

From: Radia Perlman <[email-masked]>
Date: Mon, 9 Jul 2012 15:35:12 -0700

Sorry about being a bit disorganized about which tutorials would be
offered.  It's a distributed process with timing errors, and human
errors brought about by being volunteer labor and being...well, human.
 The IETF agenda tends to change even during IETF week.

It might be worth sending an email to the attendees list advertising
all the tutorials, shortly before the IETF meeting.

Radia

---

From: Benoit Claise <[email-masked]>
Date: Wed, 11 Jul 2012 16:20:56 +0200

Hi Juergen,

Great tutorial, as always.

Here are a few things that would be nice to address.

- More on the positioning of NETCONF/YANG.
Knowing that one part of the audience will be WGs not having any OPS 
experience (like it happened at the SCIM BoF at the last IETF for 
example), maybe you could explain in which situations NETCONF/YANG 
should (not) be used. Basically,  a comparison with MIB modules. It's 
specifically important because the tutorial will be recorded, and this 
tutorial will be referred to ... a lot (at least by me).
As Dan puts it "it's not only about MIB modules any longer"
For example, what about NETCONF for monitoring on the top of configuration?
I understand that we might not have all the answers now, but that Dan 
Romascanu and Tom Nadeau will be leading a discussion wrt this topic 
during the OPSAREA meeting.

- slide 7: I would refer to RFC 3535

- NETCONF over BEEP and SOAP
Are we still thinking about deprecating those? Should we mention this?

- summary slide full of advice for newcomers to NETCONF and YANG
NETCONF:
     implement ...
     don't implement NETCONF over BEEP or SOAP (this is still a correct 
statement, right?)
YANG module development:
     -> make sure NETCONF/YANG is what you need
     -> review the existing YANG modules
     -> review RFC 6087: Guidelines for Authors/Reviewers if you
     -> how/when to get help from yang-doctors ...
     -> etc...

Regards, Benoit.
> information about configuration management in general before diving 
> into netconf and yang and also mention how this relates to other 
> protocols.
>
> Mirjam
>
>
>

---

From: Benoit Claise <[email-masked]>
Date: Fri, 13 Jul 2012 12:55:37 +0200

Hi Juergen,

> On Wed, Jul 11, 2012 at 04:20:56PM +0200, Benoit Claise wrote:
>> Hi Juergen,
>>
>> should (not) be used. Basically,  a comparison with MIB modules.
>> It's specifically important because the tutorial will be recorded,
>> and this tutorial will be referred to ... a lot (at least by me).
>> I understand that we might not have all the answers now, but that
>> Dan Romascanu and Tom Nadeau will be leading a discussion wrt this
>> topic during the OPSAREA meeting.
> I think there is no clear strategy here when to use what, we have
> overlapping and to some extend even competing NM protocols in the
> IETF. An example: Should notifications be sent via SYSLOG, as SNMP
> notifications, via NETCONF or via IPFIX? I like to avoid coming up
> with an answer myself that I put on the slides.
I understand.
> If someone asks, I
> might give an opinionated response and I will tell people to attend
> the OPSAREA meeting. ;-)
I propose to be a little more proactive here.
Recognizing that "it's not only about MIB modules any longer" is a true 
statement.
> There seems to be some movement to do declare them historic but no I-D
> has been written as far as I know and my experience with moving things
> to historic is, well, not the best. ;-)
Yes, an I-D is required first.
>
> BTW, I will add an explicit reference to RFC 6632 so that those who
> like to have a broader overview have a starting point.
>
>>      don't implement NETCONF over BEEP or SOAP (this is still a
>> correct statement, right?)
>> YANG module development:
> Good suggestion. I will try to come up with something like that.

---

From: Benoit Claise <[email-masked]>
Date: Fri, 13 Jul 2012 13:25:55 +0200

On 13/07/2012 13:05, Ersue, Mehmet (NSN - DE/Munich) wrote:
> RFC 6632 indeed provides a short introduction for Netconf/Yang with
> pointers to other documents and should be seen as a starting point.
>   
>>> - slide 7: I would refer to RFC 3532
>> I will add a reference (perhaps not on slide 7 but close to it).
> 3532 ??
RFC 3535.

Sorry, Benoit.
> Cheers,
> Mehmet